Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005591 [JEDI VCL] 00 JVCL Components trivial always 2011-06-03 18:06 2011-09-21 14:10
Reporter Caique View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005591: TJvDBLookupCombo - don't allow changes in KeyDown for VK_UP and VK_DOWN
Description Trying check VK_UP / VK_DOWN in KeyDown Event don't work ( value of
variable Key is 0 ).

I beleave de code must be changed from :

procedure TJvDBLookupCombo.KeyDown(var Key: Word; Shift: TShiftState);
...
begin
... // code
 inherited ; <<===
end ;

changes to :

procedure TJvDBLookupCombo.KeyDown(var Key: Word; Shift: TShiftState);
...
begin
 inherited ; <<===
... // code
end ;

Additional Information this sample don't work :

procedure TForm1.JvDBLookupCombo1KeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  // Key has processed before event, in case of VK_UP / VK_DOWN
  // value is 0.
  // never do above :
  if ( Key in [ VK_UP, VK_DOWN ] ) and not ( TJvDBLookupCombo( Sender ).ListVisible ) then
    begin
     Key := 0 ;
     TJvDBLookupCombo ( Sender ).DropDown ;
    end ;
end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018641)
obones (administrator)
2011-06-07 18:03

Please provide the zipped sources of a sample application showing this
(0018742)
AHUser (developer)
2011-06-11 13:04

Fixed in svn revision 13063.

- Issue History
Date Modified Username Field Change
2011-06-03 18:06 Caique New Issue
2011-06-03 19:00 Caique Issue Monitored: Caique
2011-06-07 18:03 obones Note Added: 0018641
2011-06-07 18:03 obones Status new => feedback
2011-06-11 13:02 AHUser Assigned To => AHUser
2011-06-11 13:04 AHUser Note Added: 0018742
2011-06-11 13:04 AHUser Status feedback => resolved
2011-06-11 13:04 AHUser Fixed in Version => Daily / SVN
2011-06-11 13:04 AHUser Resolution open => fixed
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker